Create company
curl --request POST \
--url https://app.concretehq.com/api/v1/companies \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "New Company Name",
"primaryDomain": "newcompany.com",
"domains": [
"newcompany.com",
"newco.io"
],
"alternativeNames": [
"NewCo",
"New Co"
],
"headline": "Company description",
"linkedinSlug": "new-company",
"twitterSlug": "newcompany",
"crunchbaseSlug": "new-company"
}
'import requests
url = "https://app.concretehq.com/api/v1/companies"
payload = {
"name": "New Company Name",
"primaryDomain": "newcompany.com",
"domains": ["newcompany.com", "newco.io"],
"alternativeNames": ["NewCo", "New Co"],
"headline": "Company description",
"linkedinSlug": "new-company",
"twitterSlug": "newcompany",
"crunchbaseSlug": "new-company"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'New Company Name',
primaryDomain: 'newcompany.com',
domains: ['newcompany.com', 'newco.io'],
alternativeNames: ['NewCo', 'New Co'],
headline: 'Company description',
linkedinSlug: 'new-company',
twitterSlug: 'newcompany',
crunchbaseSlug: 'new-company'
})
};
fetch('https://app.concretehq.com/api/v1/companies', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"publicId": "abc123def456"
}{
"error": "Not found"
}{
"error": "Not found"
}Companies
Create company
Create a new company
POST
/
companies
Create company
Authorizations
API key authentication using Bearer token format
Body
application/json
Company name
Example:
"New Company Name"
Primary domain of the company
Example:
"newcompany.com"
Array of company domains
Example:
["newcompany.com", "newco.io"]
Array of alternative company names
Example:
["NewCo", "New Co"]
Company description
Maximum string length:
256Example:
"Company description"
LinkedIn profile slug
Example:
"new-company"
Twitter profile slug
Example:
"newcompany"
Crunchbase profile slug
Example:
"new-company"
Response
Company created successfully
Created company public ID
Example:
"abc123def456"
⌘I

